
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef _FLUX_H_
#define _FLUX_H_


#include <cpctelera.h>


#define FLUX_DEFAULT_LIFE 5


typedef struct {
	u8 x, y;
	u8 map;
	const u8* pvideo;
	u8 life;
	u8 plutonium;
	u8 fullPlutonium;
	//Valores 0=No cogido 1=Cogido por MasFly 2=Cogido por otro 
	i8 catched;
} TFlux;


extern TFlux flux;

extern const u8 g_flux[32];


void initFlux();
void catchedFlux();


#endif
