
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "plutonium.h"


TPlutonium plutonium;


const u8 g_plutonium[32] = { 
	0xC0, 0xE0, 0xD0, 0xC0, 
	0xD0, 0xE0, 0xD0, 0xE0, 
	0xF0, 0xE0, 0xD0, 0xF0, 
	0xC0, 0xD0, 0xE0, 0xC0, 
	0xC0, 0xD0, 0xE0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xD0, 0xE0, 0xC0, 
	0xC0, 0xF0, 0xF0, 0xC0
};


void initPlutonium()
{
	plutonium.map = cpct_getRandomUniform_u8_f(frame) % 2;
	plutonium.x = plutonium.map * 80 + 
			(cpct_getRandomUniform_u8_f(frame) % 8 + 1) * 8;
	// Random y
	//plutonium.y = (cpct_getRandomUniform_u8_f(frame) % 19 + 1) * 8;
	plutonium.y = 152;
	plutonium.pvideo = cpct_getScreenPtr(SCR_VMEM, plutonium.x / 2, plutonium.y);
	plutonium.life = PLUTONIUM_DEFAULT_LIFE + level / 5;
	plutonium.catched=0;
	cpct_drawSprite(g_plutonium, plutonium.pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
	cpct_drawSolidBox(VMEM_PLUTONIUM, 0xf0, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
}

void catchedPlutonium()
{
	cpct_drawSprite(g_plutonium, VMEM_PLUTONIUM, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
	cpct_drawSolidBox(plutonium.pvideo, 0xf0, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
}
