// Data created with Img2CPC - (c) Retroworks - 2007-2015

#include "shifter.h"
const u8* const g_shif_tile_down[2] = { 
	g_tile_shifter_d0,
	g_tile_shifter_d1
};
const u8* const g_shif_tile_up[2] = { 
	g_tile_shifter_u0,
	g_tile_shifter_u1
};
const u8* const g_shif_tile_right[2] = { 
	g_tile_shifter_r0,
	g_tile_shifter_r1
};
const u8* const g_shif_tile_left[2] = { 
	g_tile_shifter_l0,
	g_tile_shifter_l1
};
// Tile g_tile_0: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_d0[32] = { //TODO Crear sprite propio
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x99, 0x66, 0x78,
	0xb4, 0x33, 0x33, 0x78,
	0x78, 0x3c, 0x3c, 0xf0,
	0x3c, 0x33, 0x33, 0x3c,
	0xf0, 0xb1, 0x72, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_1: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_r0[32] = { //TODO Crear sprite propio
	0xf0, 0x78, 0xf0, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x39, 0x99, 0x72,
	0xf0, 0x39, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x36, 0x72, 0xf0,
	0xf0, 0x33, 0x72, 0xf0,
	0xb4, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_2: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_u0[32] = { //TODO Crear sprite propio
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0x78, 0x3c, 0x3c, 0xf0,
	0x3c, 0x72, 0x33, 0x3c,
	0xf0, 0x33, 0xb1, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_3: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_l0[32] = { //TODO Crear sprite propio
	0xf0, 0xf0, 0xb4, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xb1, 0x66, 0x36, 0xf0,
	0xf0, 0x33, 0x36, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0xb1, 0x39, 0xf0,
	0xf0, 0xb1, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0x78
};

// Tile g_tile_4: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_d1[32] = { //TODO Crear sprite propio
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x99, 0x66, 0x78,
	0xb4, 0x33, 0x33, 0x78,
	0xf0, 0x3c, 0x3c, 0xb4,
	0x3c, 0x33, 0x33, 0x3c,
	0xf0, 0xb1, 0x72, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_5: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_r1[32] = { //TODO Crear sprite propio
	0xf0, 0x78, 0xf0, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x39, 0x99, 0x72,
	0xf0, 0x39, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x36, 0x78, 0xf0,
	0xf0, 0x33, 0x72, 0xf0,
	0xb4, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_6: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_u1[32] = { //TODO Crear sprite propio
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0xf0, 0x3c, 0x3c, 0xb4,
	0x3c, 0x33, 0x33, 0x3c,
	0xf0, 0x72, 0xb1, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_7: 8x8 pixels, 4x8 bytes.
const u8 g_tile_shifter_l1[32] = { //TODO Crear sprite propio
	0xf0, 0xf0, 0xb4, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xb1, 0x66, 0x36, 0xf0,
	0xf0, 0x33, 0x36, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0xb4, 0x39, 0xf0,
	0xf0, 0xb1, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0x78
};


void initShifter(TEnemy *shifter)
{
	shifter->type = TYPE_SHIFTER;
	shifter->x = shifter->ox = 4 * 8;
	shifter->y = shifter->oy = 4 * 8;
	shifter->x;
	shifter->oy = shifter->y;
	shifter->sx = SHIFTER_SPEED;
	shifter->sy = SHIFTER_SPEED;
	shifter->map = 0;
	shifter->timeChanged = 0;
	shifter->pvideo = cpct_getScreenPtr(SCR_VMEM, shifter->x / 2, shifter->y);
	shifter->update = updateShifter;
}

void updateShifter(TEnemy *shifter)
{
	if (shifter->x == shifter->ox && shifter->y == shifter->oy)
	{
		// Enemigo en posición objetivo, buscar nuevo objetivo.
		planMoveTo(shifter, player.x[shifter->map], player.y[shifter->map]);
	}
	else
	{
		cpct_drawSolidBox(shifter->pvideo, 0xf0, TILE_WIDTH / 2, TILE_HEIGHT);

		// Aún falta por andar...
		moveEnemyToOXOY(shifter);

		shifter->pvideo = cpct_getScreenPtr(SCR_VMEM, shifter->x / 2, shifter->y);
		cpct_drawSprite(g_tile_shifter_r0, shifter->pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
	}
}


