// Data created with Img2CPC - (c) Retroworks - 2007-2015
#ifndef _SHIFTER_H_
#define _SHIFTER_H_

#include <cpctelera.h>

#include "../utils.h"
#include "../scenes/game.h"
#include "masfly.h"
#include "enemy.h"


#define SHIFTER_SPEED 1

#define SHIFTER_STATE_EXPLORING 0
#define SHIFTER_STATE_COWERING  1
#define SHIFTER_STATE_ATTACKING_CONDENSER  2
#define SHIFTER_STATE_ATTACKING_PLAYER  3

//7 segundos a 50 FPS
#define SHIFTER_TELEPORT_COOLDOWN 350

extern const u8* const g_shif_tile_down[2];
extern const u8* const g_shif_tile_up[2];
extern const u8* const g_shif_tile_right[2];
extern const u8* const g_shif_tile_left[2]; 

extern const u8 g_tile_shifter_d0[32];
extern const u8 g_tile_shifter_r0[32];
extern const u8 g_tile_shifter_u0[32];
extern const u8 g_tile_shifter_l0[32];
extern const u8 g_tile_shifter_d1[32];
extern const u8 g_tile_shifter_r1[32];
extern const u8 g_tile_shifter_u1[32];
extern const u8 g_tile_shifter_l1[32];


void initShifter(TEnemy *e);
void updateShifter(TEnemy *e);


#endif
