
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include <cpctelera.h>

#include "scenes.h"

#define NUMMSGS  14

static const u8* const messages[NUMMSGS] = { 
      "",
      "    AntraxCpc Team  ", 
      "",
      "",
      "",
      "      rosenn23",
      "",
      "      jota",
      "",
      "      guiferviz",
      "",
      "",
      "",
       "    Pulsa Espacio   "
};

u8 sceneCredits()
{
    u8* pvideo;	
    u8 i;

    cpct_clearScreen(0xF0);

    // Print all the messages 
    pvideo = cpct_getScreenPtr(SCR_VMEM, SCREEN_WIDTH/2, 0 * 10 + 10);
    cpct_drawStringM0(messages[0], pvideo, 1, 5);

    pvideo = cpct_getScreenPtr(SCR_VMEM, SCREEN_WIDTH/2, 1 * 10 + 10);
    cpct_drawStringM0(messages[1], pvideo, 1, 6);

    for (i = 2; i < NUMMSGS; ++i)
    {
        pvideo = cpct_getScreenPtr(SCR_VMEM, SCREEN_WIDTH/2, i * 10 + 10);
        cpct_drawStringM0(messages[i], pvideo, 1, 5);
    }

    while(1)
    {
        cpct_waitVSYNC();

        releaseAndPushKey();

        if (cpct_isKeyPressed(Key_Space))
        {
            return SCENE_MENU;
        }
    }
}