
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef _ARKTRO_H_
#define _ARKTRO_H_

#include <cpctelera.h>

#include "../utils.h"
#include "../scenes/game.h"
#include "masfly.h"
#include "enemy.h"


#define ARKTRO_SPEED 1
#define ARKTRO_LIFE  2


extern const u8* const g_tile_down[2];
extern const u8* const g_tile_up[2];
extern const u8* const g_tile_right[2];
extern const u8* const g_tile_left[2]; 

extern const u8 g_tile_arktro_d0[32];
extern const u8 g_tile_arktro_r0[32];
extern const u8 g_tile_arktro_u0[32];
extern const u8 g_tile_arktro_l0[32];
extern const u8 g_tile_arktro_d1[32];
extern const u8 g_tile_arktro_r1[32];
extern const u8 g_tile_arktro_u1[32];
extern const u8 g_tile_arktro_l1[32];


void initArktro(TEnemy *e);
void updateArktro(TEnemy *e);


#endif
