
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef _MAP_H_
#define _MAP_H_


#include <cpctelera.h>


// Map size in tiles.
#define MAP_WIDTH 10
#define MAP_HEIGHT 21

// Vmem maps.
#define MAP_RIGHT_VMEM (u8*) 0xC028
#define MAP_LEFT_VMEM SCR_VMEM


extern u8 map_right[MAP_WIDTH * MAP_HEIGHT];
extern u8 map_left[MAP_WIDTH * MAP_HEIGHT];


void generateMap(u8* map);
void drawMap(u8* init_pvideo, u8* map);


#endif
