
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "scenes.h"


// Current scene screen.
u8 scene = SCENE_DEFAULT;


void sceneManagement()
{
	while (scene != SCENE_EXIT)
    {
        switch (scene)
        {
            case SCENE_MENU:
                scene = sceneMenu();
                break;
            case SCENE_GAME:
                scene = sceneGame();
                break;
            case SCENE_CREDITS:
                scene = sceneCredits();
                break;
            case SCENE_CONTROLS:
                scene = sceneControls();
                break;

            default:
                scene = SCENE_EXIT;
        }
    }
}
